body {
    margin: 0;
    padding: 0;
    text-align: center;
    background-color: #332c38;
    color: white;
}

.nothing {
    color: #332c38;
    color: #231d24;
    color: #000721;

}

.container {
    width: 90%;
    margin: 0 auto;
}
h1 {
    font-size: 2.5em;
}

img {
    width: 25%;
    background-color: #000721;
    border-radius: 10px;
    padding: .5em .5em 0 .5em;
}

.dice, .dice-placeholder {
    margin-right: .5em;
    font-weight: bold;
}
#character-cards-container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    width: 90%;
    margin: 0 auto;
}

h4 {
    font-size: 1.5em;
    margin: 0 0 .25em 0;

}
.character-card {
    width: 100%;
    max-width: 250px;
    margin: 0 auto;
    border: 3px solid #000721;
    background-color: #231d24;
    border-radius: 20px;
    padding-top: .25em;
}

#health {
    text-align: left;
    margin-left: .5em;
}

.dice-container {
    background-color: #000721;
    border-radius: 0 0 20px 20px;
    padding: 1em;
    display: flex;
    justify-content: center;
    align-items: center;
}

@keyframes appear {
    0%{
        opacity: 0.1;
    }

    100% {
        opacity: 1;
    }
}

.dice{
    background-color: white;
    color: black;
    padding: .55em .80em;
    font-size: 1em;
    border: 1px solid black;
    border-radius: 5px;
    animation: appear .7s;
}

.win-or-lose {
    font-weight: bold;
    text-align: center;
    font-size: 2em;
}
.dice-placeholder {
    background-color: #000721;
    width: 5vh;
    height: 5vh;
    border: 1px solid #fff;
    border-radius: 5px;
}

#attack {
    background-color: #000721;
    width: 50%;
    padding: .25em .5em;
    color: rgb(236, 166, 35);
    border: 1px solid;
    border-radius: 10px;
    font-size: 2em;
    font-weight: bold;
    margin: .5em 0;
}

#attack:hover,
#attack:active{
    background: linear-gradient(45deg, #000721, #433746, #000721);
    cursor: pointer;
}
@media (min-width:675px) {

    #character-cards-container {
        flex-direction: row;
    }

    #hero,
    #monster {
        width: 100%;
    }

    .character-card {
        max-width: 100%;
    }

    img {
        width: 50%;
    }
    
    #health {
        font-size: 2em;
        text-align: center;
    }
    .dice {
        font-size: 1.3em;
    }

    .dice-placeholder {
        width: 6.5vh;
        height: 6.5vh;
    }

    #attack {
        font-size: 3em;
        margin: 0 0.5em;
    }
}